{% extends 'base.html.twig' %}

{% block title %}{{page_title}}{% endblock %}

{% block body %}
<div class="row" id="totals-row" data-start="{{startOfMonth.format("Y-m-d H:i")}}" data-end="{{endOfMonth.format("Y-m-d H:i")}}" data-tok="{{apiToken}}" data-url="{{path('api_income_vs_expense_per_period')}}" data-include-stock="0" >
<div class="col-md-4 col-sm-6 col-xs-12 income" id="dashboard-income" >
    <div class="info-box">
      <span class="info-box-icon "><i class="far fa-money-bill-alt"></i></span>

      <div class="info-box-content">
        <span class="info-box-text">{{"Monthly incomes"}}</span>
        <span class="info-box-number"></span>
      </div>
      <!-- /.info-box-content -->
    </div>
    <!-- /.info-box -->
  </div>
  <div class="col-md-4 col-sm-6 col-xs-12 expense" id="dashboard-expense" >
      <div class="info-box">
        <span class="info-box-icon "><i class="fas fa-money-bill-wave"></i></span>
  
        <div class="info-box-content">
          <span class="info-box-text">{{"Monthly expenses"}}</span>
          <span class="info-box-number"></span>
        </div>
        <!-- /.info-box-content -->
      </div>
      <!-- /.info-box -->
    </div>
    <div class="col-md-4 col-sm-6 col-xs-12 profit" id="dashboard-profit" >
        <div class="info-box">
          <span class="info-box-icon "><i class="fas fa-hand-holding-usd"></i></span>
    
          <div class="info-box-content">
            <span class="info-box-text">{{"Monthly profit"}}</span>
            <span class="info-box-number"></span>
          </div>
          <!-- /.info-box-content -->
        </div>
        <!-- /.info-box -->
      </div>
    </div>
<div class="row">
<div class="col-md-12">
  <div class="content-box-large">
      <div class="panel-heading">
        <div class="panel-title">{{'Latest orders'|trans}}</div>
        
        <div class="panel-options">
         
        </div>
    </div>
      <div class="panel-body">
          <div class="table-responsive">
          <table class="table table-striped">
          <thead>
            <tr>
              <th>{{'Number'|trans}}</th>
              <th>{{'Customer'|trans}}</th>
              <th>{{'Is company'|trans}}</th>
              <th>{{'Status'|trans}}</th>
              <th>{{'Total excl tax'|trans}}</th>
              <th>{{'Total incl tax'|trans}}</th>
              <th>{{'Date created'|trans}}</th>
            </tr>
          </thead>
          <tbody>
           {% for order in orders %} 
              <tr>
                <td>#{{order.number}}</td>
                <td>{{order.getClientName()}}</td>
                <td>{{order.isCompany()?'<i class="far fa-check-circle"></i>':'<i class="far fa-times-circle"></i>'}}</td>
                <td>{{order.status|capitalize}}</td>
                <td>{{order.getFormattedTotalExclTax(default_currency_symbol)|raw}}</td>
                <td>{{order.getFormattedTotalInclTax(default_currency_symbol)|raw}}</td>
                <td>{{order.getDateCreated()|date('d.m.Y H:i')}}</td>
              </tr>
           {% else %}
              <tr>
                <td colspan="7">
                  {{"No orders found"|trans}}
                </td>
              </tr>
           {% endfor %}
          </tbody>
        </table>
        </div>
        
      </div>
  </div>
</div>
</div>
<div class="row">
<div class="col-md-12">
  <div class="content-box-large">
      <div class="panel-heading">
        <div class="panel-title">{{'Latest products'}}</div>
        
        <div class="panel-options">
          
        </div>
    </div>
      <div class="panel-body">
          <div class="table-responsive">
          <table class="table table-striped">
          <thead>
            <tr>
              <th>#</th>
              <th>{{'Title'|trans}}</th>
              <th>{{'Qty'|trans}}</th>
              <th>{{'Buy price'|trans}}</th>
              <th>{{'Sell price'|trans}}</th>
              <th>{{'Added at'|trans}}</th>

            </tr>
          </thead>
          <tbody>
           {% for product in products %} 
            <tr>
              <td>
                {{product.id}}
              </td>
     
              <td>
                {{product.title}}
              </td>

              <td>
                  {{product.qty}}
              </td>

              <td>
                  {{product.getFormattedBuyPrice(default_currency_symbol)|raw}}
              </td>

              <td>
                  {{product.getFormattedSellPrice(default_currency_symbol)|raw}}
              </td>

          
              <td>
                {{product.getCreatedAt()|date('d.m.Y H:i')}}
              </td>
           
          </tr>
          {% else %}
              <tr>
                <td colspan="6">
                  {{"No products found"|trans}}
                </td>
              </tr>
          {% endfor %}
          </tbody>
        </table>
        </div>
     
      </div>
  </div>
</div>
</div>
<div class="row">
<div class="col-md-12 ">
              
                <div class="content-box-large">
                    <div class="panel-heading">
                    <div class="panel-title">{{"Sales per warehouse for current month"|trans}} </div>
                    
                    <div class="panel-options">
                      
                    </div>
                  </div>
                    <div class="panel-body">
                      <div class="row">
                        <div class="col-md-12">
                          <div id="hero-bar" data-start="{{startOfMonth.format("Y-m-d H:i")}}" data-end="{{endOfMonth.format("Y-m-d H:i")}}" data-tok="{{apiToken}}" data-url="{{path('api_sales_per_warehouse')}}" style="height: 230px;"></div>
                        </div>
                       
                      </div>
                    </div>
                  </div>

                  <div class="content-box-large">
                      <div class="panel-heading">
                      <div class="panel-title">{{"Sales costs for current month"|trans}}</div>
                      
                      <div class="panel-options">
                        
                      </div>
                    </div>
                      <div class="panel-body">
                        <div id="hero-graph" data-start="{{startOfMonth.format("Y-m-d H:i")}}" data-end="{{endOfMonth.format("Y-m-d H:i")}}" data-mode="week" data-tok="{{apiToken}}" data-url="{{path('api_costs_per_period')}}" style="height: 230px;"></div>
                      </div>
                    </div>

                    <div class="row">
                        <div class="col-md-12">
                          <div class="content-box-large">
                            <div class="panel-heading">
                            <div class="panel-title">{{"Order totals per current year"|trans}}</div>
                            
                            <div class="panel-options">
                             
                            </div>
                          </div>
                            <div class="panel-body">
                              <div id="catchart" data-start="{{startOfYear.format("Y-m-d H:i")}}" data-end="{{endOfYear.format("Y-m-d H:i")}}"  data-tok="{{apiToken}}" data-url="{{path('api_sales_per_period')}}" style="width:100%;height:300px"></div>
                            </div>
                          </div>
                        </div>
                        
                      </div>
               
    
                  </div>
                </div>
{% endblock %}

{% block scripts %}
      {{parent()}}
        <script src="{{asset('vendors/jquery.knob.js')}}"></script>
        <script src="{{asset('vendors/raphael-min.js')}}"></script>
        <script src="{{asset('vendors/morris/morris.min.js')}}"></script>

        <script src="{{asset('vendors/flot/jquery.flot.js')}}"></script>
        <script src="{{asset('vendors/flot/jquery.flot.categories.js')}}"></script>
        <script src="{{asset('vendors/flot/jquery.flot.pie.js')}}"></script>
        <script src="{{asset('vendors/flot/jquery.flot.time.js')}}"></script>
        <script src="{{asset('vendors/flot/jquery.flot.stack.js')}}"></script>
        <script src="{{asset('vendors/flot/jquery.flot.resize.js')}}"></script>
       <script src="{{asset('js/stats.js')}}"></script>         
{% endblock %}
